Bug 82531 - FORMATTING: text shifted in PPT vs. PPTX
Summary: FORMATTING: text shifted in PPT vs. PPTX
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.2.6.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-12 23:24 UTC by Samuel Sieb
Modified: 2016-09-20 10:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
PPT version (134.50 KB, application/vnd.ms-powerpoint)
2014-08-12 23:24 UTC, Samuel Sieb
Details
PPTX version (51.92 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2014-08-12 23:25 UTC, Samuel Sieb
Details
screenshot of PowerPoint (44.85 KB, image/png)
2014-08-12 23:25 UTC, Samuel Sieb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Sieb 2014-08-12 23:24:40 UTC
Created attachment 104530 [details]
PPT version

Text is shifted when the file format is PPT.

I opened the file in Microsoft Office and removed everything except the one text field.  I saved it in both pptx and ppt formats.  LibreOffice shows the pptx correctly, but when opened from the ppt file, the text is shifted down.  Strangely, the preview thumbnail in Nautilus shows both the same.

I will include both versions of the file and a screenshot from PowerPoint.  Note that there were two blanks lines ahead of the visible text, but I put numbers in there to make it more clear.

I tested it with LibreOffice 4.3.1.1 as well and it was the same there.
Comment 1 Samuel Sieb 2014-08-12 23:25:15 UTC
Created attachment 104531 [details]
PPTX version
Comment 2 Samuel Sieb 2014-08-12 23:25:44 UTC
Created attachment 104532 [details]
screenshot of PowerPoint
Comment 3 Robinson Tryon (qubit) 2014-08-16 00:11:26 UTC
CONFIRMED on LO 4.3.1.1 + Ubuntu 12.04

(In reply to comment #0)
> I opened the file in Microsoft Office and removed everything except the one
> text field.  I saved it in both pptx and ppt formats.  LibreOffice shows the
> pptx correctly, but when opened from the ppt file, the text is shifted down.
> Strangely, the preview thumbnail in Nautilus shows both the same.

Using the MS-Office screenshot as a baseline, the PPTX does appear to be more faithful to the original than the PPT. Interestingly, if you click on the header box in the PPT (e.g. so that you could edit it), it moves up to the expected position. Unfortunately, the header moves back down after you exit from the box.

Status -> NEW
Comment 4 tommy27 2015-08-17 17:14:46 UTC
I confirm bug under Windows 8.1 x64 using LibO 4.4.5.1 and 5.1.0.0.alpha1+
Build ID: 7d3fa6bae9f7a755eb2d0ca24bf1afd5f3646bb7
TinderBox: Win-x86@39, Branch:master, Time: 2015-08-09_08:38:08
Locale: it-IT (it_IT)
Comment 5 QA Administrators 2016-09-20 10:26:05 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920